Sentinels 2.0 Coming to Phones for Gen Con! (August 4th, 2016)

Two years ago at Gen Con, we showed off the digital version of Sentinels of the Multiverse to the public for the very first time. If you want a refresher, check out the very first Game Play Preview video here.

It was still very much a work in progress at that point, but it was less than 3 months later that we shipped version 1.0 for iPad and Android tablets. It was definitely Sentinels, but there was no Steam, no variants, no expansions and no phone support.

The time has flown by and we have accomplished so much:

  • Greenlit for Steam in just over 1 month
  • Launched for Windows and Mac in December 2014
  • First Variants shipped in December 2014
  • First expansion shipped in February 2015
  • Launched for Linux in February 2015
  • Cross platform multiplayer launched in October 2015
  • 4 Expansions and 3 Mini-Packs (all of Season 1) shipped 
  • 26 Variants shipped
  • Sold over 120k copies of Sentinels across all platforms
  • Raised nearly $110k via Kickstarter & BackerKit for Season 2

We couldn't have done it without all the great Sentinels of the Multiverse fans out there - Thank You! 

You’ll probably notice that there’s only one thing left to add to that list, which brings us to today. It's taken 2 years, but we’re happy to announce that Sentinels of the Multiverse 2.0, with smartphone support, will launch the first day of Gen Con:

Thursday, August 4th 2016.

Free Update!

Version 2.0 will be a free update to Sentinels of the Multiverse to make it a Universal App. This means that if you already own Sentinels on your tablet, there is nothing new to buy - on August 4th, you will be able to install and play Sentinels on both your phone and your tablet (provided they are both in the same ecosystem and connected to your account). Likewise, all your DLC purchases transfer over within the same ecosystem.

Good things take time, and we’ve invested a lot of time and effort working on the phone interface for Sentinels. We knew that technically you could take the tablet UI and shrink it down to a tiny phone screen, and while it would be “playable” it wouldn’t be a great experience. Over the last 2 years we’ve put plenty of time into thinking about, designing, building, and iterating on what a great Sentinels phone interface should be. With the help of our team of dedicated beta testers, we arrived on an interface that we think is an awesome way to play Sentinels!

Sentinels on smartphone is the same faithful implementation of the card game that you’ve come to know and love over the last 2 years. It’s not watered down or simplified, just optimized for playing on a small screen that fits in your pocket. Every feature you are used to will be there, including full cross-platform multiplayer support. There are even a few things that are new, like swiping to navigate through full size cards.

Are you new to Sentinels, or have been waiting for phone support to finally jump into the Multiverse? Be sure to pay attention next Thursday, August 4th because we’ll be launching a week-long “Mobile Launch Sale” that day. There will be great discounts on both the game and expansions to not only bring new Sentinels into the fight, but also let existing Sentinels expand their collection.

If you’re interested in the gory details, feel free to read on about device support moving forward.

Mark your calendars Sentinels, and get all your Pokémon hunting in this week, because starting on August 4th, Pikachu will be playing second fiddle to Legacy, Tachyon, Bunker and the rest of the Sentinels of the Multiverse!


Getting ready for Sentinels 2.0 on iOS

Until now, Sentinels on iOS required iOS 6 or later. Version 2.0 of Sentinels on iOS will require iOS 9 or later. There are several reasons for this change:

  • It allows us to take advantage of new iOS features in updates to the game.
  • The underlying game engine (Unity) is also moving forward and dropping iOS 6 support.
  • Over 90% of Sentinels players are already on iOS 9 or later.
  • All iOS devices that can currently run the game can be updated to iOS 9, and so will still be able to run the game.
  • Older devices that cannot update to iOS 9 (e.g. iPhone 3GS) would be unable to run the game at an acceptable standard.
  • We have a small team and do not have the resources to fully test the game on older iOS versions.

If, like over 90% of players, your device is already running iOS 9 or later, you won’t have to do anything to update to Sentinels 2.0. We recommend you keep your device up to date with the latest iOS version whenever possible.

If your device is running iOS 8 or older, then in order to update to Sentinels 2.0 you will need to update your device to iOS 9. Open the Settings app on your device, tap General, then tap Software Update.

If you do not wish to update your device to iOS 9, you can continue to use the existing version of Sentinels (including all Season 1 expansions) on your device. However, you will not receive any updates to Sentinels until you upgrade to iOS 9 or later.

Supported iOS Devices

The following is the list of currently available recommended devices for running Sentinels 2.0 on iOS.

  • iPhone 6s
  • iPhone 6s Plus
  • iPhone 6
  • iPhone 6 Plus
  • iPhone SE
  • iPhone 5s
  • iPhone 5c
  • iPhone 5
  • iPod touch (6th gen)
  • iPad Pro
  • iPad Air 2
  • iPad Air
  • iPad (4th gen)
  • iPad mini 4
  • iPad mini 3
  • iPad mini 2

The following devices are compatible with Sentinels 2.0, but are not recommended and may result in a degraded experience.

  • iPhone 4s
  • iPod touch (5th gen)
  • iPad (3rd gen)
  • iPad 2
  • iPad mini

Any older devices that cannot be upgraded to iOS 9 are not compatible with Sentinels 2.0.

If you’re not sure exactly which device model you have, Apple has guidelines to help identify your iPad, iPhone, or iPod touch.

Getting ready for Sentinels 2.0 on Android

On Android, we are increasing the minimum Android OS requirement from Android 3.2 (Honeycomb) to Android 4.0.3 (Ice Cream Sandwich). We do not expect that this will affect many of our players, if any.

Sentinels 2.0 continues to require devices with NEON CPU support. In practice that means that devices with Tegra 2 CPUs are not compatible.

The recommended minimum amount of device RAM on Android is 1 GB.

According to Google Play, Sentinels 2.0 is compatible with over 11,000 different Android devices. If you find that it is not compatible with your device, please let us know so that we can prevent it from being installed on incompatible devices.

Posted on July 27, 2016 .